//
// SurroundingTowers.h
// 
// Helper class to store the 3x3 towers associated
// with a tower that could have been used to fire the
// L2 quarkonia trigger.
//
#ifndef __SurroundingTowers_hh
#define __SurroundingTowers_hh

#include <vector>
using std::vector;

class SurroundingTowers {
 public:
  SurroundingTowers();
  virtual ~SurroundingTowers();

  void setTower(size_t indx,int towerId);
  
  int highTower() { return mTowerIds[0]; }
  int tower(size_t indx) { if (indx<9) return mTowerIds[indx]; else return -999; }

 private:
  vector<int> mTowerIds;
};
#endif
